Description: Spelling corrections
Bug-Debian: htps://bugs.debian.org/933949
Author: Ken Ibbotson <keni@computer.org>
Forwarded: https://rt.cpan.org/Ticket/Display.html?id=134013
Bug: https://rt.cpan.org/Ticket/Display.html?id=134013
Last-Update: 2021-01-07

--- a/lib/Test/FITesque.pm
+++ b/lib/Test/FITesque.pm
@@ -26,7 +26,7 @@
 
 L<Test::FITesque> is a framework designed to emulate the FIT L<http://fit.c2.com>
 framework, but with a more perlish touch. While it is possible to use the FIT
-framework from within perl, it has a lot of unnessecary overhead related to its
+framework from within perl, it has a lot of unnecessary overhead related to its
 origins in the Java world.
 
 I created L<Test::FITesque> for the following reasons:
@@ -96,7 +96,7 @@
 all following cells will be passed to the methods as arguments.
 
 The run_tests() method on the FITesque test will simply run these methods
-in the order specified while taking care of maintaing TAP test count
+in the order specified while taking care of maintaining TAP test count
 and the like underneath.
 
 If you have more than one instance of a test to run, you can add it to a
@@ -220,7 +220,7 @@
 
 =head1 TEST COVERAGE
 
-This distribution is heavily unit and system tested for compatability with
+This distribution is heavily unit and system tested for compatibility with
 L<Test::Builder>. If you come across any bugs, please send me or submit failing
 tests to Test-FITesques RT queue. Please see the 'SUPPORT' section below on
 how to supply these.
@@ -275,7 +275,7 @@
 Due to limitations in the TAP protocol and perl's TAP tools such as
 L<Test::Harness>, all Fixture tables have to be held in memory. It also means
 that Fixture tables cannot be treated as a stream so there is no easy way
-to seperate out which tables output is which. To remedy this, I suggest that
+to separate out which tables output is which. To remedy this, I suggest that
 you pass a 'name' parameter to the Fixture classes constructor and print this
 to screen or use the diag() function from L<Test::More>.
 
--- a/lib/Test/FITesque/Fixture.pm
+++ b/lib/Test/FITesque/Fixture.pm
@@ -74,7 +74,7 @@
 
 The other method, 'parse_arguments' provides a hook in point to allow
 preprocessing on arguments to FITesque fixture test methods. This might be
-useful in case you want to design a domain specific langauge into your
+useful in case you want to design a domain specific language into your
 arguments. By default, this method just returns the arguments as is.
 
 =head1 METHODS
--- a/lib/Test/FITesque/Suite.pm
+++ b/lib/Test/FITesque/Suite.pm
@@ -27,7 +27,7 @@
 
 =head1 DESCRIPTION
 
-This package provides a way of running a suite of tests. It also allowd you to
+This package provides a way of running a suite of tests. It also allowed you to
 run suites of suites in whatever hierarchy you see fit.
 
 =head1 METHODS
